CREATE TABLE IF NOT EXISTS `call_recording` (
    `id` int(10) unsigned NOT NULL auto_increment,

    `datetime_entry`    datetime    NOT NULL,
    `id_call_incoming`      int(10) unsigned,
    `id_call_outgoing`      int(10) unsigned,
    `uniqueid`              varchar(32) NOT NULL,
    `channel`               varchar(80) NOT NULL,
    `recordingfile`         varchar(255),

    PRIMARY KEY (`id`),
    CONSTRAINT `call_recording_ibfk_1` FOREIGN KEY (`id_call_incoming`) REFERENCES `call_entry` (`id`),
    CONSTRAINT `call_recording_ibfk_2` FOREIGN KEY (`id_call_outgoing`) REFERENCES `calls` (`id`)
);
