<?php

    $sArchivo = '/etc/asterisk/extensions_custom.conf';
    $sInicioContenido = "; BEGIN ELASTIX CALL-CENTER-PRO CONTEXTS DO NOT REMOVE THIS LINE\n";
    $sFinalContenido =  "; END ELASTIX CALL-CENTER-PRO CONTEXTS DO NOT REMOVE THIS LINE\n";

    // Cargar el archivo, notando el inicio y el final del área de contextos de callcenter
    $bEncontradoInicio = $bEncontradoFinal = FALSE;
    $contenido = array();
    foreach (file($sArchivo) as $sLinea) {
        if ($sLinea == $sInicioContenido) {
            $bEncontradoInicio = TRUE;
        } elseif ($sLinea == $sFinalContenido) {
            $bEncontradoFinal = TRUE;
        } elseif (!$bEncontradoInicio || $bEncontradoFinal) {
            if (substr($sLinea, strlen($sLinea) - 1) != "\n")
                $sLinea .= "\n";
            $contenido[] = $sLinea;
        }
    }
    if ($bEncontradoInicio xor $bEncontradoFinal) {
        fputs(STDERR, "ERR: no se puede localizar correctamente segmento de contextos de Call Center PRO\n");
    } else {
        $contenido[] = $sInicioContenido;
        $contenido[] =
'
[ccpro_llamada_agendada]
exten => _X.,1,NoOP("Elastix CallCenter: AGENTCHANNEL=${AGENTCHANNEL}")
exten => _X.,n,NoOP("Elastix CallCenter: QUEUE_MONITOR_FORMAT=${QUEUE_MONITOR_FORMAT}")
exten => _X.,n,GotoIf($["${QUEUE_MONITOR_FORMAT}" = ""]?skiprecord)
exten => _X.,n,Set(CALLFILENAME=${STRFTIME(${EPOCH},,%Y%m%d-%H%M%S)}-${UNIQUEID})
exten => _X.,n,MixMonitor(${MIXMON_DIR}${CALLFILENAME}.${MIXMON_FORMAT},,${MIXMON_POST})
exten => _X.,n,Set(CDR(userfield)=audio:${CALLFILENAME}.${MIXMON_FORMAT})
exten => _X.,n(skiprecord),Dial(${AGENTCHANNEL},300,tw)
exten => h,1,Macro(hangupcall,)

[ccpro_amd]
exten => _X.,1,Answer
exten => _X.,n,AMD
exten => _X.,n,GotoIf($[ "${AMDSTATUS}" = "HUMAN" | "${AMDSTATUS}" = "NOTSURE" ]?ext-queues,${EXTEN},1)
exten => _X.,n,Hangup

';
        $contenido[] = $sFinalContenido;
        file_put_contents($sArchivo, $contenido);
        chown($sArchivo, 'asterisk'); chgrp($sArchivo, 'asterisk');
    }

?>
