{* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Elastix version 0.8                                                  |
  | http://www.elastix.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006 Palosanto Solutions S. A.                         |
  +----------------------------------------------------------------------+
  | Cdla. Nueva Kennedy Calle E 222 y 9na. Este                          |
  | Telfs. 2283-268, 2294-440, 2284-356                                  |
  | Guayaquil - Ecuador                                                  |
  | http://www.palosanto.com                                             |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  | The Original Code is: Elastix Open Source.                           |
  | The Initial Developer of the Original Code is PaloSanto Solutions    |
  +----------------------------------------------------------------------+
  $Id: default.conf.php,v 1.1.1.1 2007/03/23 00:13:58 elandivar Exp $
*}
{* Incluir todas las bibliotecas y CSS necesarios *}
{foreach from=$LISTA_JQUERY_CSS item=CURR_ITEM}
    {if $CURR_ITEM[0] == 'css'}
<link rel="stylesheet" href='{$CURR_ITEM[1]}' />
    {/if}
    {if $CURR_ITEM[0] == 'js'}
<script type="text/javascript" src='{$CURR_ITEM[1]}'></script>
    {/if}
{/foreach}

{if $NO_EXTENSIONS}
<p><h4 align="center">{$LABEL_NOEXTENSIONS}</h4></p>
{elseif $NO_AGENTS}
<p><h4 align="center">{$LABEL_NOAGENTS}</h4></p>
{else}
<form method="POST"  action="index.php?menu={$MODULE_NAME}" onsubmit="do_login(); return false;">

<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="0" cellspacing="0" cellpadding="0" align="center" style="border: 1px solid; min-width: 500px;">
  <tr>
    <td class="menudescription">
      <table width="100%" border="0" cellspacing="0" cellpadding="4" align="center">
        <tr>
          <td class="menudescription2">
              <div align="left"><font color="#ffffff">&nbsp;&raquo;&nbsp;{$WELCOME_AGENT}</font></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td bgcolor="#ffffff">
      <table width="100%" border="0" cellspacing="0" cellpadding="8" class="tabForm">
        <tr>
          <td align="center" colspan="2">
            <p>{$ENTER_USER_PASSWORD}</p>
          </td>
        </tr>
        <tr id="login_fila_estado" {$ESTILO_FILA_ESTADO_LOGIN}>
          <td colspan="2">
            <div align="center" id="login_icono_espera" height='1'><img id="reloj" src="modules/{$MODULE_NAME}/images/loading.gif" border="0" alt=""></div>
            <div align="center" style="font-weight: bold;" id="login_msg_espera">{$MSG_ESPERA}</div>
            <div align="center" id="login_msg_error" style="color: #ff0000;"></div>
          </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <div id="input_callback">
                    <input type="radio" name="input_callback" id="input_callback_static" value="static"/>
                        <label for="input_callback_static">{$STATIC_AGENT}</label>
                    <input type="radio" name="input_callback" id="input_callback_dynamic" value="dynamic"/>
                        <label for="input_callback_dynamic">{$CALLBACK_LOGIN}</label>
                </div>
            </td>
        </tr>
        <tr class="credentials_static">
            <td align="right">{$USERNAME}:</td>
            <td>
                <select align="center" id="input_agent_user" name="input_agent_user">
                    {html_options options=$LISTA_AGENTES selected=$ID_AGENT}
                </select>
            </td>
        </tr>
        <tr class="credentials_static">
            <td align="right">{$EXTENSION}:</td>
            <td>
                <select align="center" name="input_extension" id="input_extension">
                    {html_options options=$LISTA_EXTENSIONES selected=$ID_EXTENSION}
                </select>
            </td>
        </tr>
        <tr class="credentials_dynamic">
            <td align="right">{$CALLBACK_EXTENSION}:</td>
            <td>
                <select align="center" id="input_extension_callback" name="input_extension_callback">
                    {html_options options=$LISTA_EXTENSIONES_CALLBACK selected=$ID_EXTENSION_CALLBACK}
                </select>
            </td>
        </tr>
        <tr class="credentials_dynamic">
            <td align="right">{$PASSWORD}:</td>
            <td><input type="password" name="input_password_callback" id="input_password_callback" /></td>
        </tr>
        <tr>
          <td colspan="2" align="center">
            <input type="button" id="submit_agent_login" name="submit_agent_login" value="{$LABEL_SUBMIT}" class='ccpro_form_action_button' />
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

</form>

{if $REANUDAR_VERIFICACION}
<script type="text/javascript">
do_checklogin();
</script>
{/if}
{/if}
