<link rel="stylesheet" media="screen" type="text/css" href="ccpro_web_resources/css/style.css">
<form method="POST" style="margin-bottom:0;" action="{$url}">
<div id='ccpro_module_content'>
    <div id='ccpro_logo_header'>
        <div id='ccpro_logo_icon'>
            <img src='ccpro_web_resources/images/DINOMI_logo.png' class='ccpro_logo_img'>
        </div>
	<div class='ccpro_title'>
                {$ccpro_title}
        </div>
    </div>
    <div id='ccpro_tool_bar'>
        <div id='ccpro_grid_actions'>
            {if !empty($arrActions)}
                {foreach from=$arrActions key=k item=accion name=actions}
                    {if $accion.type eq 'link'}
                        <a href="{$accion.task}" class="ccpro_grid_action_link" {if !empty($accion.onclick)} onclick="{$accion.onclick}" {/if} >
                            <div class="ccpro_grid_action">
                                {if !empty($accion.icon)}
                                    <span class='ccpro_icon_font'> {$accion.icon} </span>
                                {/if}
                                <span class="ccpro_grid_action_text"> {$accion.alt} </span>
                            </div>
                        </a>
                    {elseif $accion.type eq 'button'}
                        <div class="ccpro_grid_action">
                            {if !empty($accion.icon)}
                                <span class='ccpro_icon_font' {if !empty($accion.onclick)} onclick="{$accion.onclick}" {/if}> {$accion.icon} </span>
                            {/if}
                            <input type="button" name="{$accion.task}" value="{$accion.alt}" {if !empty($accion.onclick)} onclick="{$accion.onclick}" {/if} class="ccpro_grid_action_text" />
                        </div>
                    {elseif $accion.type eq 'submit'}
                        <div class="ccpro_grid_action">
                            {if !empty($accion.icon)}
                                <span class='ccpro_icon_font' {if !empty($accion.onclick)} onclick="{$accion.onclick}" {/if}> {$accion.icon} </span>
                            {/if}
                            <input type="submit" name="{$accion.task}" value="{$accion.alt}" {if !empty($accion.onclick)} onclick="{$accion.onclick}" {/if} class="ccpro_grid_action_text" />
                        </div>
                    {elseif $accion.type eq 'text'}
                        <div class="ccpro_grid_action" style="cursor:default">
                            <input type="text"   id="{$accion.name}" name="{$accion.name}" value="{$accion.value}" {if !empty($accion.onkeypress)} onkeypress="{$accion.onkeypress}" {/if} style="height:22px" />
                            <input type="submit" name="{$accion.task}" value="{$accion.alt}" class="ccpro_grid_action_text" />
                        </div>
                    {elseif $accion.type eq 'combo'}
                        <div class="ccpro_grid_action" style="cursor:default">
                            <select name="{$accion.name}" id="{$accion.name}" {if !empty($accion.onchange)} onchange="{$accion.onchange}" {/if} style='position: relative;top: 3px;'>
                                {if !empty($accion.selected)}
                                    {html_options options=$accion.arrOptions selected=$accion.selected}
                                {else}
                                    {html_options options=$accion.arrOptions}
                                {/if}
                            </select>
                            {if !empty($accion.task)}
                                <input type="submit" name="{$accion.task}" value="{$accion.alt}" class="ccpro_grid_action_text" />
                            {/if}
                        </div>
                    {elseif $accion.type eq 'html'}
                        <div class="ccpro_grid_action">
                            {$accion.html}
                        </div>
                    {/if}
                {/foreach}
            {/if}
            {if !empty($contentFilter)}
                <div class="ccpro_grid_action" id="ccpro_filter_button_1">
                    {if $AS_OPTION eq 0} <span class='ccpro_icon_font' > e </span> {/if}
                    <label id="ccpro_label_filter" class='ccpro_grid_action_text' style="cursor:pointer"> {$FILTER_GRID_SHOW} </label>
                    <span class='ccpro_icon_font' id="ccpro_filter_img_arrow"> d </span>
                </div>
            {/if}
            {if $enableExport==true}
                <div class="ccpro_grid_action ccpro_exportButton" id="ccpro_export_button" role="button" act="10" tabindex="0" aria-expanded="false" aria-haspopup="true" aria-activedescendant="" >
                    <span class='ccpro_icon_font'> w </span>
		    <span class='ccpro_grid_action_text'>{$DOWNLOAD_GRID}</span>
                </div>
                <div id="ccpro_subMenuExport" class="ccpro_subMenu ccpro-display-none" role="menu" aria-haspopup="true" aria-activedescendant="">
                    <div class="ccpro_items">
                        <a href="{$url}&exportcsv=yes&rawmode=yes">
                            <div class="ccpro_menuItem" role="menuitem" id="CSV" aria-disabled="false">
                                <div>
                                    <img src="images/csv.gif" border="0" align="absmiddle" title="CSV" />&nbsp;&nbsp;CSV
                                </div>
                            </div>
                        </a>
                        <a href="{$url}&exportspreadsheet=yes&rawmode=yes">
                            <div class="ccpro_menuItem" role="menuitem" id="Spread_Sheet" aria-disabled="false">
                                <div>
                                    <img src="images/spreadsheet.gif" border="0" align="absmiddle" title="SPREAD SHEET" />&nbsp;&nbsp;Spreadsheet
                                </div>
                            </div>
                        </a>
                        <a href="{$url}&exportpdf=yes&rawmode=yes">
                            <div class="ccpro_menuItem" role="menuitem" id="PDF" aria-disabled="false">
                                <div>
                                    <img src="images/pdf.png" border="0" align="absmiddle" title="PDF" />&nbsp;&nbsp;PDF
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            {/if}
        </div>
        <div id='ccpro_grid_pagging'>
            {if $pagingShow}
                <div class="ccpro_header_row_navigation">
                    {if $start<=1}
                        <span class='ccpro_icon_paggingfont' alt='{$lblStart}' style="cursor: auto;opacity: 0.9;"> z </span>
                        <span class='ccpro_icon_paggingfont' alt='{$lblPrevious}' style="cursor: auto;opacity: 0.9;"> x </span>
                    {else}
                        <a href="{$url}&nav=start&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblStart}'> z </span></a>
                        <a href="{$url}&nav=previous&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblPrevious}'> x </span></a>
                    {/if}
                    &nbsp;{$lblPage}&nbsp;
                    <input  class="ccpro_page_input" type=text  value="{$currentPage}" size="2" align="absmiddle" name="page" id="pageup" style="height:14px;" />&nbsp;{$lblof}&nbsp;{$numPage}&nbsp;({$total}&nbsp;{$lblrecords})
                    <input type="hidden" value="bypage" name="nav" />
                    {if $end==$total}
                        <span class='ccpro_icon_paggingfont' alt='{$lblNext}' style="cursor: auto;opacity: 0.9;"> c </span>
                        <span class='ccpro_icon_paggingfont' alt='{$lblEnd}' style="cursor: auto;opacity: 0.9;"> v </span>
                    {else}
                        <a href="{$url}&nav=next&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblNext}'> c </span></a>
                        <a href="{$url}&nav=end&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblEnd}'> v </span></a>
                    {/if}
                </div>
            {/if}
        </div>
    </div>
    <div id='ccpro_content_filter' style='display:none; background:#ECECEC;'>
        {if !empty($contentFilter)}
            {$contentFilter}
        {/if}
    </div>
    {if !empty($arrFiltersControl)}
        <div class="ccpro_div_filter_controls">
            {foreach from=$arrFiltersControl key=k item=filterc name=filtersctrl}
                <div class="ccpro_filter_control">{$filterc.msg}&nbsp;
                {if $filterc.defaultFilter eq no}
                    <a href="{$url}&name_delete_filters={$filterc.filters}"><img src='ccpro_web_resources/images/bookmarks_equis.png' width="18" height="16" align='absmiddle' border="0" /></a>
                {/if}
                </div>
            {/foreach}
        </div>
    {/if}

    <div id="ccpro_div_grid_data">
        <table align="center" cellspacing="0" cellpadding="0" width="100%" id="ccpro_grid_table" >
            <tr class="ccpro_grid_data_header_table">
                {section name=columnNum loop=$numColumns start=0 step=1}
                    {if $smarty.section.columnNum.first}
                        <td class="ccpro_grid_data_header_table" style="background:none;">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                    {else}
                        <td class="ccpro_grid_data_header_table">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                    {/if}
                {/section}
            </tr>
            {if $numData > 0}
                {foreach from=$arrData key=k item=data name=filas}
                {if $data.ctrl eq 'separator_line'}
                    <tr class="ccpro_grid_data_row_table">
                        {if $data.start > 0}
                            <td class="ccpro_grid_data_row_table" colspan="{$data.start}"></td>
                        {/if}
                        {assign var="data_start" value="`$data.start`"}
                        <td class="ccpro_grid_data_row_table" colspan="{$numColumns-$data.start}" style='background-color:#AAAAAA;height:1px;'></td>
                    </tr>
                {else}
                    <tr class="ccpro_grid_data_row_table">
                        {if $smarty.foreach.filas.last}
                            {section name=columnNum loop=$numColumns start=0 step=1}
                                <td class="ccpro_grid_data_row_table table_data_last_row">{if $data[$smarty.section.columnNum.index] eq ''}&nbsp;{/if}{$data[$smarty.section.columnNum.index]}</td>
                            {/section}
                        {else}
                            {section name=columnNum loop=$numColumns start=0 step=1}
                                <td class="ccpro_grid_data_row_table table_data">{if $data[$smarty.section.columnNum.index] eq ''}&nbsp;{/if}{$data[$smarty.section.columnNum.index]}</td>
                            {/section}
                        {/if}
                    </tr>
                {/if}
                {/foreach}
            {else}
                <tr class="ccpro_grid_data_row_table">
                    <td class="ccpro_grid_data_row_table table_data" colspan="{$numColumns}" align="center">{$NO_DATA_FOUND}</td>
                </tr>
            {/if}
            {if $numData > 3}
                <tr class="ccpro_grid_data_header_table">
                    {section name=columnNum loop=$numColumns start=0 step=1}
                        {if $smarty.section.columnNum.first}
                            <td class="ccpro_grid_data_header_table" style="background:none;">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                        {else}
                            <td class="ccpro_grid_data_header_table">{$header[$smarty.section.columnNum.index].name}&nbsp;</td>
                        {/if}
                    {/section}
                </tr>
            {/if}
        </table>
    </div>

    {if $numData > 3}
        <div class="ccpro_grid_footer_bar">
            {if $pagingShow}
                <div class="ccpro_header_row_navigation">
                    {if $start<=1}
                        <span class='ccpro_icon_paggingfont' alt='{$lblStart}' style="cursor: auto;opacity: 0.9;"> z </span>
                        <span class='ccpro_icon_paggingfont' alt='{$lblPrevious}' style="cursor: auto;opacity: 0.9;"> x </span>
                    {else}
                        <a href="{$url}&nav=start&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblStart}'> z </span></a>
                        <a href="{$url}&nav=previous&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblPrevious}'> x </span></a>
                    {/if}
                    &nbsp;{$lblPage}&nbsp;
                    <input  class="ccpro_page_input" type=text  value="{$currentPage}" size="2" align="absmiddle" name="page" id="pagedown" style="height:14px;"/>&nbsp;{$lblof}&nbsp;{$numPage}&nbsp;({$total}&nbsp;{$lblrecords})
                    {if $end==$total}
                        <span class='ccpro_icon_paggingfont' alt='{$lblNext}' style="cursor: auto;opacity: 0.9;"> c </span>
                        <span class='ccpro_icon_paggingfont' alt='{$lblEnd}' style="cursor: auto;opacity: 0.9;"> v </span>
                    {else}
                        <a href="{$url}&nav=next&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblNext}'> c </span></a>
                        <a href="{$url}&nav=end&start={$start}"><span class='ccpro_icon_paggingfont' alt='{$lblEnd}'> v </span></a>
                    {/if}
                </div>
            {/if}
        </div>
    {/if}
</div>
</form>

{literal}
<script type="text/Javascript">
    $(function(){
        $("#ccpro_grid_table").colResizable({
            liveDrag:true,
            marginLeft:"1px",
            onDrag: onDrag
        });
    });

    var onDrag = function(){

    }

    $("[id^=page]").keyup(function(event) {
        var id  = $(this).attr("id");
        var val = $(this).val();

        if(id == "pageup")
            $("#pagedown").val(val);
        else if(id == "pagedown")
            $("#pageup").val(val);
    });

    $("#ccpro_filter_button_1").click(function() {
{/literal}
    {if $AS_OPTION}
        var filter_show = "{$MORE_OPTIONS}";
        var filter_hide = "{$MORE_OPTIONS}";
    {else}
        var filter_show = "{$FILTER_GRID_SHOW}";
        var filter_hide = "{$FILTER_GRID_HIDE}";
    {/if}
{literal}
        if($("#ccpro_content_filter").is(":visible")){
            /*ocultamos los elementos del filtro*/
            $("#ccpro_content_filter").hide();
            $("#ccpro_filter_img_arrow").html("d");
            $("#ccpro_label_filter").text(filter_show);
            $("#neo-tabla-header-row-filter-1").removeClass("ccpro_exportBackground");
        }else{
            /*mostramos los elementos del filtro*/
            $("#ccpro_content_filter").show();
            $("#ccpro_filter_img_arrow").html("u");
            $("#ccpro_label_filter").text(filter_hide);
            $("#neo-tabla-header-row-filter-1").addClass("ccpro_exportBackground");
        }
    });
    $( document ).ready(function() {
        //en el caso del tema elastixneo es necesario hacer algunas modificaciones
        if($(".neo-module-content").length>0){
            $('.neo-module-content').css('padding-top',0);
            $('.neo-module-content').css('margin-top',0);
            $('.neo-module-name-left').css('display','none');
            $('.neo-module-name').css('display','none');
            $('.neo-module-name-right').css('display','none');
            $(".neo-module-content").css('background-color','white');
        }

        $("#ccpro_export_button").hover(
            function () {
                $(this).attr("aria-expanded","false");
                $("#ccpro_subMenuExport").addClass("ccpro-display-none");
            }
        );
        $("#ccpro_export_button").click(
            function () {
                if($(this).attr("aria-expanded") == "false"){
                    var exportPosition = $('#ccpro_export_button').position();
                    var top = exportPosition.top + 30;
                    var left = exportPosition.left - 2;
                    $("#ccpro_subMenuExport").css('top',top+"px");
                    $("#ccpro_subMenuExport").css('left',left+"px");
                    $(this).attr("aria-expanded","true");
                    $("#ccpro_subMenuExport").removeClass("ccpro-display-none");
                }
                else{
                    $("#ccpro_subMenuExport").addClass("ccpro-display-none");
                    $(this).attr("aria-expanded","false");
                }
            }
        );
        $(".ccpro_menuItem").hover(
            function () {
                if($(this).attr("aria-disabled") == "false")
                    $(this).css("background","#0099FF");
            },
            function () {
                $(this).css("background","");
            }
        );
        $("#ccpro_subMenuExport").hover(
            function () {
                $(this).removeClass("ccpro-display-none");
                $("#ccpro_export_button").attr("aria-expanded","true");
            },
            function () {
                $(this).addClass("ccpro-display-none");
                $("#ccpro_export_button").attr("aria-expanded","false");
            }
        );
        $(".ccpro_grid_action").hover(
            function () {
		$(".ccpro_icon_font",this).css("color","#6685AA");
		$(".ccpro_grid_action_text", this).css("color","#6685AA");
            },
            function () {
               $(".ccpro_icon_font",this).css("color","white");
	       $(".ccpro_grid_action_text", this).css("color","white");
            }
        );
    });
</script>
{/literal}
