var module_name = 'ccpro_teams';

$(document).ready(function() {
    if (typeof getCurrentElastixModule == 'function')
        module_name = getCurrentElastixModule();
    $('a.view-campaigns').click(function() {
        var team_id = $(this).parents('tr').first().find('input[name="indexs[]"]').val();

        var html="<div style='margin: 10px;'>"+
            "<div id='ccpro_loadind_img' align='center'><img src='images/loading2.gif' /></div>"+
            "<div id='ccpro_data_pop_up'></div>"+
            "</div>";
        ShowModalPopUP("Loading...", 250, 250, html);
        $.get('index.php', {
            menu:       module_name,
            action:     'view_campaigns',
            ccpro_id:   team_id,
            rawmode:    'yes'
        }, function(dataResponse) {
            console.debug(dataResponse);

            var message        = dataResponse.message;
            var statusResponse = dataResponse.statusResponse;
            var error          = dataResponse.error;

            var campaigns;
            if (error != '') {
                campaigns = $("<p width='100%' style='text-align:center; color:red'></p>").text(error);
            } else {
                campaigns = $('<ul></ul>');
                for (var x in message) {
                    campaigns.append($('<li></li>').text(message[x]));
                }
            }
            $(".neo-modal-elastix-popup-content").css('max-height',"210px");
            $(".neo-modal-elastix-popup-content").css('overflow-y',"auto");
            $("#ccpro_loadind_img").hide();
            $("#ccpro_data_pop_up").append(campaigns);
        });
    });
});